      subroutine cost_date(cdate)
      character(8) date
      character(10) time
      character(21) cdate
      call date_and_time(date,time)
      !print*,date
      !print*,time
      cdate=date(7:8)//':'//date(5:6)//':'//date(1:4)//'   '//
     *time(1:2)//':'//time(3:4)//':'//time(5:6)
      !print*,cdate
      return
      end
